html {
	background:transparent;
}
#puzzle {
	width:100%;
	overflow-x:hidden;
	color:#000; background:#dedfe0;
}
#puzzle nav {
	background:#000315;
	margin:0;	padding:2em 0 1em 0;
}
#puzzle nav ul + ul li {
	margin-bottom:0;
}
#col33 {
	width:auto;
	margin:0; padding:3px 1em 2px 1em;
	color:#333;
	-webkit-border-top-left-radius:0;
	-moz-border-radius-topleft:0;
	border-top-left-radius:0;
}
#modal-window + p {
	margin:0 0 0 1em;
	font-size:0.8em;
}
#game-options:after {
	content:"."; display:block; height:0; clear:both; visibility:hidden;
}
#game-options ul {
	margin:0;
}
#game-options li {
	list-style:none;
	float:left;
	margin:0 0.2em 0 0;
	font-size:0.8em;
}
#game-options a {
	float:left;
	padding:3px;
	text-decoration:none;
	color:#333; background:#f5f5f5;
	-webkit-border-top-right-radius:8px;
	-webkit-border-bottom-left-radius:8px;
	-moz-border-radius-topright:8px;
	-moz-border-radius-bottomleft:8px;
	border-top-right-radius:8px;
	border-bottom-left-radius:8px;
}
#game-options a:hover, #game-options a:active, #game-options a:focus {
	color:#fff; background:#36c;
	-webkit-border-radius:0;
	-moz-border-radius:0;
	border-radius:0;
	border:none;
	-webkit-border-top-left-radius:8px;
	-webkit-border-bottom-right-radius:8px;
	-moz-border-radius-topleft:8px;
	-moz-border-radius-bottomright:8px;
	border-top-left-radius:8px;
	border-bottom-right-radius:8px;
}
#clock {
	width:6em;
	display:block;
	color:#fff;
}
#game-options a#JIGSAW_SHUFFLE {font-weight:bold; background:#6f3;}
#JIGSAW_SHUFFLE:after {content: attr(data-icon);}
#game-options li.nb {margin:0 0.2em 0.2em 1em;}
@media screen and (max-width:880px) {
	#game-options li.bw {clear:left; margin-left:0;}
}
@media screen and (max-width:560px) {
	#game-options li.zt, #game-options li.zh {clear:left; margin-left:0;	}
	#game-options li.bw {clear:none; margin-left:1em;	}
}
@media screen and (max-width:400px) {
	#game-options li.vb {clear:left; margin-left:0;}
}
#game-options a#JIGSAW_SHUFFLE:hover, #game-options a#JIGSAW_SHUFFLE:active, #game-options a#JIGSAW_SHUFFLE:focus {background:#36c;}
select {
	margin:0; padding:2px;
	background:#f5f5f5;
}
select:focus {
	border:1px solid #666;
}
.hide {
	display:none;
}
#canvas-wrap {
	position:relative;
}
canvas {
	background:transparent;
	border:none;
}
#canvas {
	position:absolute;
	top:0;
	left:0;
	z-index:100;
}
#canvas.loading {
	background:url(../../img/layout/loader.gif) no-repeat center;
}
#buffer {
	z-index:70;
}
#image-preview.show {
	position:absolute;
	top:0;
	left:50%;
	opacity:0.5;
	z-index:40;
}
#overlay {
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	background:#00093c;
	filter:alpha(opacity = 90);
	opacity:0.9;
	z-index:500;
	cursor:pointer;
}
#overlay.hide {
	display:none;
}
#modal-window {
	position:absolute;
	top:50%;
	left:50%;
	z-index:1000;
	background:#f5f5f5;
	padding:1em;
	-webkit-transition:top .4s ease-in-out;
	-moz-transition:top .4s linear;
	-o-transition:top .4s linear;
	-ms-transition:top .4s linear;
	transition:top .4s linear;
	color:#333;
	background:-moz-linear-gradient(top, #e0e0e0 0%, #fff 100%);
	background:-webkit-gradient(linear, left top, left bottom, color-stop(0%,#e0e0e0), color-stop(100%,#fff));
	background:-webkit-linear-gradient(top, #e0e0e0 0%,#fff 100%);
	background:-o-linear-gradient(top, #e0e0e0 0%,#fff 100%);
	background:-ms-linear-gradient(top, #e0e0e0 0%,#fff 100%);
	background:linear-gradient(to bottom, #e0e0e0 0%,#fff 100%);
	-webkit-border-top-right-radius:8px;
	-webkit-border-bottom-left-radius:8px;
	-moz-border-radius-topright:8px;
	-moz-border-radius-bottomleft:8px;
	border-top-right-radius:8px;
	border-bottom-left-radius:8px;
}
#modal-window.hide {
	top:-1000px;
	display:block;
}
#modal-window a {
	float:right;
	margin-bottom:1em;
	padding:8px;
	text-decoration:none;
	color:#000; background:#ccc;
	border:1px solid #666;
	-webkit-border-top-right-radius:15px;
	-webkit-border-bottom-left-radius:15px;
	-moz-border-radius-topright:15px;
	-moz-border-radius-bottomleft:15px;
	border-top-right-radius:15px;
	border-bottom-left-radius:15px;
}
#modal-window a:hover, #modal-window a:active, #modal-window a:focus {
	color:#fff; background:#808080;
	-webkit-border-radius:0;
	-moz-border-radius:0;
	border-radius:0;
	border:1px solid #666;
	-webkit-border-top-left-radius:15px;
	-webkit-border-bottom-right-radius:15px;
	-moz-border-radius-topleft:15px;
	-moz-border-radius-bottomright:15px;
	border-top-left-radius:15px;
	border-bottom-right-radius:15px;
}
#modal-window input {
	-webkit-border-radius:0;
	-moz-border-radius:0;
	border-radius:0;
}
#image-error {
	color:#c00;
	font-weight:bold;
	display:none;
}
#dnd {
	display:none;
}